openpgp-asciiarmor-0.1: OpenPGP (RFC4880) ASCII Armor codec

Safe Haskell | Safe
Language | Haskell98

Codec.Encryption.OpenPGP.ASCIIArmor.Types

# Documentation

data Armor #

Constructors

Armor ArmorType [(String, String)] ByteString |
ClearSigned [(String, String)] ByteString Armor |

Instances

Eq Armor # |
Methods (==) :: Armor -> Armor -> Bool # (/=) :: Armor -> Armor -> Bool #
Show Armor # |
Methods showsPrec :: Int -> Armor -> ShowS # show :: Armor -> String # showList :: [Armor] -> ShowS #

data ArmorType #

Constructors

ArmorMessage |
ArmorPublicKeyBlock |
ArmorPrivateKeyBlock |
ArmorSplitMessage ByteString ByteString |
ArmorSplitMessageIndefinite ByteString |
ArmorSignature |

Instances

Eq ArmorType # |
Methods (==) :: ArmorType -> ArmorType -> Bool # (/=) :: ArmorType -> ArmorType -> Bool #
Show ArmorType # |
Methods showsPrec :: Int -> ArmorType -> ShowS # show :: ArmorType -> String # showList :: [ArmorType] -> ShowS #